Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.ifs.core.util
Class OperationAction

All Known Implementing Classes:
  InterMediaAnnotationTrigger, OperationActionAdapter

    public interface class OperationAction

Interface used to veto, augment, or otherwise customize ECM operations.

Interface is currently only stubbed.

Method Summary
`void` | `eventPosted(OperationActionSpecification oas, AuditEvent event, LibraryObject target)` Receive notification that an event is being posted.
`void` | `initialize(OperationActionSpecification oas)` Initialize this instance.

Method Detail

### initialize

    void initialize(OperationActionSpecification oas)
                    throws IfsException

  Description copied from interface: `OperationAction`
  Initialize this instance.

  Called immediately after construction (via the default constructor) and used so that the implementation can initialize session-independent state. This instance may be subsequently used concurrently by multiple threads.

  Parameters:
    `oas` - the referencing OperationActionSpecification
  Throws:
    `IfsException` - if the operation fails

### eventPosted

    void eventPosted(OperationActionSpecification oas,
                     AuditEvent event,
                     LibraryObject target)
                     throws IfsException

  Description copied from interface: `OperationAction`
  Receive notification that an event is being posted.

  Called with the OperationActionSpecification context of this action, along with the event being posted and the target object.

  Parameters:
    `oas` - the referencing OperationActionSpecification
    `event` - the event being posted
    `target` - the target object
  Throws:
    `IfsException` - if the operation fails

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD